/**
 * 		Paragraph - Nav Blocks CSS
 */


.paragraph.paragraph--type--nav-block .nav-col {
  margin-bottom: 30px;
}

.paragraph.paragraph--type--nav-block .nav-block-link-image {
  /*height: 320px !important;*/
}

.paragraph.paragraph--type--nav-block .nav-block-label {
  font-size: 1.3rem;
  line-height: normal;
}

/* What's Happening */
.paragraph.paragraph--type--nav-block .nav-block-label {
  font-size: 1.3rem;
  line-height: normal;
}

/*
.paragraph.paragraph--type--nav-block p.nav-block-label {
  border-radius: 40px;
}

.paragraph.paragraph--type--nav-block p.nav-block-label.nav-block-label-has-background {
  border-radius: initial;    
}
*/
.paragraph.paragraph--type--nav-block .nav-block-link {
  display: block;
  padding: 0;
  padding: 0 !important;
}

.paragraph.paragraph--type--nav-block .nav-block .nav-block-item  > * {
  height: 100%;
  text-align: center;
}

.paragraph.paragraph--type--nav-block .nav-block-link-image {
  height: 148px;
  position: relative;
  background-size: cover !important;
  background-position: center center !important;
}

.paragraph.paragraph--type--nav-block .nav-block-link-image:hover .nav-block-label-orange {
    /*background-color: #444444;*/
}

.paragraph.paragraph--type--nav-block .nav-block-link-image:hover .nav-block-label-black {
    /*background-color: #D73F09;*/
}

.paragraph.paragraph--type--nav-block .nav-block-link-image:hover .nav-block-label-white {
    /*background-color: #D73F09;*/
}

.paragraph.paragraph--type--nav-block .nav-block-link:hover .nav-block-label {
  text-decoration: none;
}

.paragraph.paragraph--type--nav-block .nav-block-link-image .nav-block-label {
  position: relative;
  bottom: 0;
}

.paragraph.paragraph--type--nav-block .nav-block-label {
  /*font-family: 'Stratum2Web';*/
  font-size: 1.5rem;
  line-height: 1.5rem;
  padding: 20px;
  width: 100%;
  text-decoration: none;
  margin-bottom: 0;
}

.paragraph.paragraph--type--nav-block .nav-block-label-gray {
  /*background-color: #444444;*/
  color: #fff;
}

.paragraph.paragraph--type--nav-block .nav-block-label-gray:hover {
  /*background: black;*/
}

.paragraph.paragraph--type--nav-block .nav-block-label-black {
  /*background-color: black;*/
  color: #fff;
}

.paragraph.paragraph--type--nav-block .nav-block-label-black:hover {
  /*background-color: #D73F09;*/
}

.paragraph.paragraph--type--nav-block .nav-block-label-orange {
  /*background-color: #D73F09;*/
  color: #fff;
}

.paragraph.paragraph--type--nav-block .nav-block-label-orange:hover {
  /*background-color: #444444;*/
}

.paragraph.paragraph--type--nav-block .nav-block-label-white {
  color: #D73F09;
  /*background-color: #fff;*/
}



.paragraph.paragraph--type--nav-block .nav-block-item a:link,
.paragraph.paragraph--type--nav-block .nav-block-item a:active,
.paragraph.paragraph--type--nav-block .nav-block-item a:visited,
.paragraph.paragraph--type--nav-block .nav-block-item a:hover  {
  text-decoration: none;
}

.paragraph.paragraph--type--nav-block .nav-block-with-image {
  background: #fff;
}

.paragraph.paragraph--type--nav-block .nav-block-with-image .nav-block-image img {
  object-fit: cover; width: 100%;
}

.paragraph.paragraph--type--nav-block .nav-item {
  /*
  padding: 10px !important;
  display: flex !important;
  */
  padding: 10px;
  display: flex;
}

.paragraph.paragraph--type--nav-block-item  {
  width: 100%;
  /*background-color: #D73F09;*/
  align-content: center;
}

.paragraph.paragraph--type--nav-block .nav-block-item {
  height: 100%;
}

.paragraph.paragraph--type--nav-block a.nav-block-link {
  /*height: 100% !important;*/
  background-color: #D73F09 !important;
  border-radius: 40px;
  border: 2px solid transparent;
}

.paragraph.paragraph--type--nav-block a.nav-block-link.nav-block-link-image {
  background-color: transparent !important;
}

.paragraph.paragraph--type--nav-block a.nav-block-link:hover {
  background-color: black !important;
  border: 2px solid #0d5256;
}

.paragraph.paragraph--type--nav-block a.nav-block-link .nav-block-label {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

/** If an image background is included **/

.paragraph.paragraph--type--nav-block .paragraph--type--nav-block-item.nav-block-label-has-background a.nav-block-link .nav-block-label {
  padding: 30px;
  height: initial;
  background-color: #D73F09 !important;
  border-bottom-right-radius: 40px;
  border-bottom-left-radius: 40px;
}

.paragraph.paragraph--type--nav-block .paragraph--type--nav-block-item.nav-block-label-has-background a.nav-block-link .nav-block-label:hover {
  background-color: black !important;
}

.paragraph.paragraph--type--nav-block .paragraph--type--nav-block-item.nav-block-label-has-background a.nav-block-link:hover .nav-block-label {
  background-color: black !important;
}

.paragraph.paragraph--type--nav-block .paragraph--type--nav-block-item.nav-block-label-has-background a.nav-block-link {
  background-color: initial;
  border-radius: initial;
  border: none;
}

.paragraph.paragraph--type--nav-block .paragraph--type--nav-block-item.nav-block-label-has-background a.nav-block-link:hover {
  background-color: transparent !important;
  border: none;
}

.paragraph.paragraph--type--nav-block .field--name-field-media-image img {
  width: 100%;
  border-top-left-radius: 40px;
  border-top-right-radius: 40px;
}


/** Rework for just buttons **/

.paragraph.paragraph--type--nav-block a.btn,
.paragraph.paragraph--type--nav-block a.btn:visited,
.paragraph.paragraph--type--nav-block a.btn:active,
.paragraph.paragraph--type--nav-block a.btn:hover {
  color: white;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out;  
}

.paragraph.paragraph--type--nav-block .nav-block-row {
  display: flex;
  justify-content: center;
}

.paragraph.paragraph--type--nav-block .nav-item {
  display: inline-block;
  width: auto;
}


.paragraph.paragraph--type--nav-block-item {
  display: flex;
  justify-content: center;
}